Method: networks.proposals.batchCreate

Creates Proposal objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/proposals:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where Proposals will be created. Format: networks/{networkCode} The parent field in the CreateProposalRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateProposalRequest)
    }
  ]
}
Fields
requests[]

object (CreateProposalRequest)

Required. The Proposal objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for proposals.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "proposals": [
    {
      object (Proposal)
    }
  ]
}
Fields
proposals[]

object (Proposal)

The Proposal objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateProposalRequest

Request object for proposals.create method.

JSON representation
{
  "parent": string,
  "proposal": {
    object (Proposal)
  }
}
Fields
parent

string

Required. The parent resource where this Proposal will be created. Format: networks/{networkCode}

proposal

object (Proposal)

Required. The Proposal to create.